Subject: [nfsv4] Mandatory

From: [email-masked]
Date: Thu, 22 Jan 2004 12:09:35 -0500 (EST)

> Note, though, that even replays of LOCK+WRITE+LOCKU are going to be fun
> to deal with, since they involve bumping the sequence number at least
> twice...

If you do choose to extend the protocol to do it, I think you should
consider Dave's suggestion of a "special stateid" that is used for
subsequent Ops in the compound. That way the seqid# (not the one in the
stateid, the one associated with the Open/Lock Owner and used to order
Compound RPCs) will only be incremented once per Compound RPC.

rick
ps: Although Lock-Write-Unlock didn't seem of much use, I can see an
    argument for Trond's cases related to Setattr on a file the client
    doesn't have Open.

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4